// Listen to player login event
onEvent('player.logged_in', event => {
	
	if (!event.player.stages.has('default')) {
		event.player.stages.add('default')
	}
	
	if (!event.player.stages.has('curious_add_belt_slots')) {
		event.player.stages.add('curious_add_belt_slots')
		event.player.server.runCommandSilent(`curios add belt ${event.player.name.string} 1`)
	}

	if (!event.player.stages.has('curious_add_ring_slots')) {
		event.player.stages.add('curious_add_ring_slots')
		event.player.server.runCommandSilent(`curios add ring ${event.player.name.string} 2`)
	}
	
	if (event.player.stages.has('magic1') && !event.player.stages.has('magici')) {
		event.player.stages.add('magici')
	}
	
	if (event.player.stages.has('magic2') && !event.player.stages.has('magiciii')) {
		event.player.stages.add('magiciii')
	}
	
})